# == Class: lsb
#
# Puppet module to install, deploy and configure lsb.
#
class lsb (
  $package          = true,
  $lsb_package_name = $lsb::params::lsb_package_name
) inherits lsb::params {
  case $package {
    true   : { $ensure_package = 'present' }
    false  : { $ensure_package = 'purged' }
    latest : { $ensure_package = 'latest' }
    default : { fail('package must be true, false or lastest') }
  }

  package { $lsb_package_name: ensure => $ensure_package, }
}
# EOF
