# == Class: lsb::params
#
# This is a container class holding default parameters for lsb module.
#
class lsb::params {
  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: { $lsb_package_name = 'lsb-release' }
    /(?i:centos|fedora|redhat)/: { $lsb_package_name = 'redhat-lsb' }
    default                    : {
      fail("Module lsb is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
